Bug 196607 - restorecond is too verbose when a file doesn't exist
restorecond is too verbose when a file doesn't exist
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-25 19:14 EDT by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.30.17-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-14 19:34:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2006-06-25 19:14:39 EDT
Description of problem:
restorecond is too verbose when a file doesn't exist, from my syslog:

Jun 23 09:29:33 tux restorecond: Unable to open file (/etc/samba/secrets.tdb) No 
such file or directory
Jun 23 09:29:33 tux restorecond: Unable to open file (/home/robert/public_html) 
No such file or directory
Jun 23 09:29:33 tux restorecond: Unable to open file (/home/guest/.mozilla/
plugins/libflashplayer.so) No such file or directory
Jun 23 09:29:33 tux restorecond: Unable to open file (/home/robert/.mozilla/
plugins/libflashplayer.so) No such file or directory
Jun 23 09:31:03 tux restorecond: Unable to open file (/etc/samba/secrets.tdb) No 
such file or directory
Jun 23 09:31:03 tux restorecond: Unable to open file (/home/robert/public_html) 
No such file or directory
Jun 23 09:31:03 tux restorecond: Unable to open file (/home/robert/.mozilla/
plugins/libflashplayer.so) No such file or directory
Jun 23 14:24:15 tux restorecond: Unable to open file (/etc/samba/secrets.tdb) No 
such file or directory
Jun 23 14:24:15 tux restorecond: Unable to open file (/home/robert/public_html) 
No such file or directory
Jun 23 14:24:15 tux restorecond: Unable to open file (/home/robert/.mozilla/
plugins/libflashplayer.so) No such file or directory
Jun 23 14:24:16 tux restorecond: terminated
Jun 23 14:24:17 tux restorecond: Unable to open file (/etc/samba/secrets.tdb) No 
such file or directory
Jun 23 14:24:17 tux restorecond: Unable to open file (/home/robert/public_html) 
No such file or directory
Jun 23 14:24:17 tux restorecond: Unable to open file (/home/robert/.mozilla/
plugins/libflashplayer.so) No such file or directory
Jun 24 14:35:23 tux restorecond: Unable to open file (/etc/samba/secrets.tdb) No 
such file or directory
Jun 24 14:35:23 tux restorecond: Unable to open file (/home/robert/public_html) 
No such file or directory
Jun 24 14:35:23 tux restorecond: Unable to open file (/home/guest/.mozilla/
plugins/libflashplayer.so) No such file or directory
Jun 24 14:35:23 tux restorecond: Unable to open file (/home/robert/.mozilla/
plugins/libflashplayer.so) No such file or directory
Jun 24 14:36:21 tux restorecond: Unable to open file (/etc/samba/secrets.tdb) No 
such file or directory
Jun 24 14:36:21 tux restorecond: Unable to open file (/home/robert/public_html) 
No such file or directory
Jun 24 14:36:21 tux restorecond: Unable to open file (/home/robert/.mozilla/
plugins/libflashplayer.so) No such file or directory
Jun 24 20:44:48 tux restorecond: Unable to open file (/etc/samba/secrets.tdb) No 
such file or directory
Jun 24 20:44:48 tux restorecond: Unable to open file (/home/robert/public_html) 
No such file or directory
Jun 24 20:44:48 tux restorecond: Unable to open file (/home/guest/.mozilla/
plugins/libflashplayer.so) No such file or directory
Jun 24 20:44:48 tux restorecond: Unable to open file (/home/robert/.mozilla/
plugins/libflashplayer.so) No such file or directory
Jun 24 20:45:08 tux restorecond: Unable to open file (/etc/samba/secrets.tdb) No 
such file or directory
Jun 24 20:45:08 tux restorecond: Unable to open file (/home/robert/public_html) 
No such file or directory
Jun 24 20:45:08 tux restorecond: Unable to open file (/home/robert/.mozilla/
plugins/libflashplayer.so) No such file or directory
Jun 25 06:25:22 tux restorecond: Unable to open file (/etc/samba/secrets.tdb) No 
such file or directory
Jun 25 12:25:04 tux restorecond: Unable to open file (/etc/samba/secrets.tdb) No 
such file or directory
Jun 25 23:41:11 tux restorecond: Unable to open file (/etc/samba/secrets.tdb) No 
such file or directory
Jun 25 23:41:11 tux restorecond: Unable to open file (/home/robert/public_html) 
No such file or directory
Jun 25 23:41:11 tux restorecond: Unable to open file (/home/guest/.mozilla/
plugins/libflashplayer.so) No such file or directory
Jun 25 23:41:11 tux restorecond: Unable to open file (/home/robert/.mozilla/
plugins/libflashplayer.so) No such file or directory
Jun 25 23:41:38 tux restorecond: Unable to open file (/etc/samba/secrets.tdb) No 
such file or directory
Jun 25 23:41:38 tux restorecond: Unable to open file (/home/robert/public_html) 
No such file or directory
Jun 25 23:41:38 tux restorecond: Unable to open file (/home/robert/.mozilla/
plugins/libflashplayer.so) No such file or directory
Jun 26 00:10:18 tux restorecond: Unable to open file (/etc/samba/secrets.tdb) No 
such file or directory

Version-Release number of selected component (if applicable):
policycoreutils-1.30.14-5

How reproducible:
Everytime, see above.

Actual results:
restorecond is too verbose when a file doesn't exist.

Expected results:
Silence by restorecond in syslog ;-)

Additional info:
Maybe a configuration direction or a parameter can be introduced, if you want
to keep the ability for having syslog flooded by unnecessary stuff...
Comment 1 Daniel Walsh 2006-07-11 16:30:31 EDT
Fixed in policycoreutils-1.30.17-2
Comment 2 Robert Scheck 2006-07-14 19:34:00 EDT
Works, thank you. Closing now...

Note You need to log in before you can comment on or make changes to this bug.